%global _empty_manifest_terminate_build 0
Name:		python-docker
Version:	6.1.3
Release:	1
Summary:	A Python library for the Docker Engine API.
License:	Apache-2.0
URL:		https://github.com/docker/docker-py
Source0:	https://files.pythonhosted.org/packages/f0/73/f7c9a14e88e769f38cb7fb45aa88dfd795faa8e18aea11bababf6e068d5e/docker-6.1.3.tar.gz
BuildArch:	noarch

%description
A Python library for the Docker Engine API.

%package -n python3-docker
Summary:	A Python library for the Docker Engine API.
Provides:	python-docker = %{version}-%{release}
BuildRequires:	python3-setuptools_scm
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
Requires:	python3-paramiko
Requires:	python3-packaging
Requires:	python3-requests
Requires:	python3-urllib3
Requires:	python3-websocket-client

%description -n python3-docker
A Python library for the Docker Engine API.

%package help
Summary:	Development documents and examples for docker
Provides:	python3-docker-doc
%description help
A Python library for the Docker Engine API.

%prep
%autosetup -n docker-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-docker -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jul 06 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 6.1.3-1
- Update package to version 6.1.3

* Tue May 16 2023 wubijie <wubijie@kylinos.cn> - 6.1.2-1
- Update package to version 6.1.2

* Tue Jan 31 2023 xu_ping <xuping33@h-partners.com> - 6.0.1-2
- Add buildrequires python3-setuptools_scm to fix build error

* Mon Nov 21 2022 liqiuyu <liqiuyu@kylinos.cn> - 6.0.1-1
- Update package to version 6.0.1

* Tue Aug 02 2022 zhaoshuang <zhaoshuang@uniontech.com> - 5.0.3-1
- Update to 5.0.3

* Fri Jul 09 2021 openstack-sig <openstack@openeuler.org>
- Update to 4.4.4

* Wed Oct 21 2020 jinzhimin <jinzhimin2@huawei.com> - 4.0.2-2
- remove python2-docker subpackage

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 4.0.2-1
- Package init
